Skip to main content
`Ctrl`+`K`

# VecMTDotBegin

Starts a split phase transpose multiple dot product computation.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecMTDotBegin(Vec x, PetscInt nv, const Vec y[], PetscScalar result[])

## Input Parameters

- x - the first vector

- nv - number of vectors

- y - array of vectors

- result - where the result will go (can be `NULL`)

## Notes

Each call to `VecMTDotBegin()` should be paired with a call to `VecMTDotEnd()`.

## See Also

`VecMTDotEnd()`, `VecNormBegin()`, `VecNormEnd()`, `VecNorm()`, `VecDot()`, `VecMDot()`, `VecDotBegin()`, `VecDotEnd()`, `VecMDotBegin()`, `VecMDotEnd()`, `PetscCommSplitReductionBegin()`

## Level

advanced

## Location

src/vec/vec/utils/comb.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages